Name: cogito
Version: 0.18.1
Release: alt0.M30.1

Summary: The Cogito Version Control System
License: GPL
Group: Development/Other

Url: http://kernel.org/pub/software/scm/cogito/
Source: http://kernel.org/pub/software/scm/cogito/%name-%version.tar.bz2

Requires: git-core >= 1.1.0

BuildArch: noarch

BuildPreReq: asciidoc git-core python-modules-encodings xmlto

%description
Cogito is a version control system layered on top of the git tree history
storage system. It aims at seamless user interface and ease of use, providing
generally smoother user experience than the "raw" Core GIT itself and indeed
many other version control systems.

%prep
%setup -q

%build
%make all doc

%install
%make_install \
	prefix=%prefix \
	libdir=%_libexecdir/cogito \
	DESTDIR=%buildroot \
	install

%make_install \
	docdir=%_defaultdocdir/%name-%version \
	mandir=%_mandir \
	DESTDIR=%buildroot \
	-C Documentation \
	install install-html
cp -ax README INSTALL TODO COPYING Documentation/tutorial-script %buildroot%_defaultdocdir/%name-%version
chmod a-x %buildroot%_defaultdocdir/%name-%version/{html,txt}/*

%files
%_bindir/*
%_libexecdir/%name/
%_datadir/%name/
%_mandir/man?/*
%_defaultdocdir/%name-%version/

%changelog
* Fri Dec 01 2006 Igor Vlasenko <viy@altlinux.ru> 0.18.1-alt0.M30.1
- backport for M30

* Sun Nov 05 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.18.1-alt1
- 0.18.1

* Thu May 04 2006 Anton Farygin <rider@altlinux.ru> 0.17.2-alt2
- don't use libdir for noarch package (#9500)

* Fri Apr 14 2006 Anton Farygin <rider@altlinux.ru> 0.17.2-alt1
- first build for ALT Linux Sisyphus

* Tue Jan 10 2006 Chris Wright <chrisw@redhat.com> 0.16.2-2
- add xmlto to BuildRequires

* Thu Dec 8 2005 H. Peter Anvin <hpa@zytor.com>
- add %_smp_mflags

* Tue Nov 1 2005 Pavel Roskin <proski@gnu.org> 0.15.1-1
- generate and include manuals

* Tue Oct 11 2005 Chris Wright <chrisw@osdl.org> 0.15.1-1
- use %%dist

* Fri Sep 16 2005 Chris Wright <chrisw@osdl.org> 0.14.1-2
- fix _libdir breakage on 64-bit, the irony...

* Thu Sep 15 2005 Chris Wright <chrisw@osdl.org> 0.14.1-1
- Update to 0.14.1

* Mon Aug 15 2005 Chris Wright <chrisw@osdl.org> 0.13-3
- Update Buildroot, Requires and drop Vendor
- use %_libdir

* Wed Aug 10 2005 Pavel Roskin <proski@gnu.org> 0.13-1
- Update summary and description
- Make architecture-independent

* Wed Jul 6 2005 Chris Wright <chris@osdl.org> 0.12-1
- update spec file

* Thu Jun 9 2005 Chris Wright <chrisw@osdl.org> 0.11.3-1
- Add openssl patch from Dan Holmsand <holmsand@gmail.com>
- Add cg-Xlib patch to fix showdate output
- Update %files with changes inspired by Neil Horman <nhorman@redhat.com>

* Mon May 9 2005 H. Peter Anvin <hpa@zytor.com> 0.10-1
- New upstream revision
- Rename spec file to cogito.spec

* Wed Apr 27 2005 Terje Rosten <terje.rosten@ntnu.no> 0.8-2
- Doc files
- Use %%{_prefix} macro
- Rename spec file
- Drop -n option to %%setup macro

* Mon Apr 25 2005 Chris Wright <chrisw@osdl.org> 0.8-1
- Update to cogito, rename package, move to /usr/bin, update prereqs

* Mon Apr 25 2005 Chris Wright <chrisw@osdl.org> 0.7-1
- Update to 0.7

* Thu Apr 21 2005 Chris Wright <chrisw@osdl.org> 0.6.3-1
- Initial rpm build
